SQLTeam.com | Weblogs | Forums

SQL Server 2012 installing data tools version


#1

Hi

I've got SS 2012 installed and have also Data Tools under Sql Server 2012 start menu folder, but when I open the data tools VS shell and click on the New Project then SQL Server in templates it says "The operation you are attempting requires SQL Server Data tools", which then opens a link to install 2017 version.

Why is it asking me to install data tools 2017 with a 2012 version of SQL, is my own version not enough? got to say SQL Server is the most confusing set of installations ever, never understood what I am installing :slight_smile:

Thanks

G


#2

Yeah, you and me both.

Might be that you need to, additionally, install a module / element that was excluded on the original install?